// 信号主控模块
// Author: 周涛
// Date: 2023-8-23

#include "includes.h"

// 模块初始化
// byCarrierId:载波ID，从0到8
// byTimeslotId:时隙，取值0，1，2，3
uint8 signal_main_init(uint8 byCarrierId, uint8 byTimeslotId)
{
    uint8 byFlag = 0;

    // 初始化信号产生模块
    signal_gen_init();

    // 根据载波ID生成信号
    byFlag = signal_gen_gen_ab_signal(byCarrierId);
    if (!byFlag)
    {
        return 0;
    }

    // 根据生成信号发送序列
    byFlag = signal_gen_signal_send_list(byTimeslotId);
    if (!byFlag)
    {
        return 0;
    }

    // 初始化信号发送模块
    signal_send_init();

    return 1;
}

void signal_main_query_period_signal_list(int32 **pdwSignalSendList)
{
    signal_send_query_period_signal_list(pdwSignalSendList);

    return;
}
